reboot=no
halt=no
superrestore=no
imagename=tecra_20050220

for i in `cat /proc/cmdline`
do
	case $i in
		REBOOT)
			reboot=yes
		;;
		HALT)
			halt=yes
		;;
		SUPERRESTORE)
			superrestore=yes
		;;
	esac
done

if test "$superrestore" = "yes" ; then
	sh msgbox
	echo
	echo Jetzt wird der Rechner neu bespielt
	sleep 5
	hdparm -d1 /dev/hda
	dd if=/images/$imagename.mbr of=/dev/hda
	partprobe /dev/hda
	partimage -f 3 -m -b restore /dev/hda1 /images/$imagename.000
#	mount -n -t vfat /dev/hda1 /mnt
	#mkdir /mnt/sysprep
	#cp /sysprep.inf /mnt/sysprep/
	#umount /mnt
fi

if test "$reboot" = "yes" ; then
	echo rebooooting
	/sbin/reboot
fi

if test "$halt" = "yes" ; then
	/sbin/halt
fi

#/bin/bash

